// Generated by the protocol buffer compiler.  DO NOT EDIT!
// source: complex_data_types.proto

#ifndef PROTOBUF_complex_5fdata_5ftypes_2eproto__INCLUDED
#define PROTOBUF_complex_5fdata_5ftypes_2eproto__INCLUDED

#include <string>

#include <google/protobuf/stubs/common.h>

#if GOOGLE_PROTOBUF_VERSION < 3005000
#error This file was generated by a newer version of protoc which is
#error incompatible with your Protocol Buffer headers.  Please update
#error your headers.
#endif
#if 3005000 < GOOGLE_PROTOBUF_MIN_PROTOC_VERSION
#error This file was generated by an older version of protoc which is
#error incompatible with your Protocol Buffer headers.  Please
#error regenerate this file with a newer version of protoc.
#endif

#include <google/protobuf/io/coded_stream.h>
#include <google/protobuf/arena.h>
#include <google/protobuf/arenastring.h>
#include <google/protobuf/generated_message_table_driven.h>
#include <google/protobuf/generated_message_util.h>
#include <google/protobuf/metadata.h>
#include <google/protobuf/message.h>
#include <google/protobuf/repeated_field.h>  // IWYU pragma: export
#include <google/protobuf/extension_set.h>  // IWYU pragma: export
#include <google/protobuf/unknown_field_set.h>
// @@protoc_insertion_point(includes)

namespace protobuf_complex_5fdata_5ftypes_2eproto {
// Internal implementation detail -- do not use these members.
struct TableStruct {
  static const ::google::protobuf::internal::ParseTableField entries[];
  static const ::google::protobuf::internal::AuxillaryParseTableField aux[];
  static const ::google::protobuf::internal::ParseTable schema[8];
  static const ::google::protobuf::internal::FieldMetadata field_metadata[];
  static const ::google::protobuf::internal::SerializationTable serialization_table[];
  static const ::google::protobuf::uint32 offsets[];
};
void AddDescriptors();
void InitDefaultsListOfBoolsImpl();
void InitDefaultsListOfBools();
void InitDefaultsListOfIntsImpl();
void InitDefaultsListOfInts();
void InitDefaultsListOfDoublesImpl();
void InitDefaultsListOfDoubles();
void InitDefaultsListOfStringsImpl();
void InitDefaultsListOfStrings();
void InitDefaultsMatrixOfBoolsImpl();
void InitDefaultsMatrixOfBools();
void InitDefaultsMatrixOfIntsImpl();
void InitDefaultsMatrixOfInts();
void InitDefaultsMatrixOfDoublesImpl();
void InitDefaultsMatrixOfDoubles();
void InitDefaultsMatrixOfStringsImpl();
void InitDefaultsMatrixOfStrings();
inline void InitDefaults() {
  InitDefaultsListOfBools();
  InitDefaultsListOfInts();
  InitDefaultsListOfDoubles();
  InitDefaultsListOfStrings();
  InitDefaultsMatrixOfBools();
  InitDefaultsMatrixOfInts();
  InitDefaultsMatrixOfDoubles();
  InitDefaultsMatrixOfStrings();
}
}  // namespace protobuf_complex_5fdata_5ftypes_2eproto
namespace mascot {
class ListOfBools;
class ListOfBoolsDefaultTypeInternal;
extern ListOfBoolsDefaultTypeInternal _ListOfBools_default_instance_;
class ListOfDoubles;
class ListOfDoublesDefaultTypeInternal;
extern ListOfDoublesDefaultTypeInternal _ListOfDoubles_default_instance_;
class ListOfInts;
class ListOfIntsDefaultTypeInternal;
extern ListOfIntsDefaultTypeInternal _ListOfInts_default_instance_;
class ListOfStrings;
class ListOfStringsDefaultTypeInternal;
extern ListOfStringsDefaultTypeInternal _ListOfStrings_default_instance_;
class MatrixOfBools;
class MatrixOfBoolsDefaultTypeInternal;
extern MatrixOfBoolsDefaultTypeInternal _MatrixOfBools_default_instance_;
class MatrixOfDoubles;
class MatrixOfDoublesDefaultTypeInternal;
extern MatrixOfDoublesDefaultTypeInternal _MatrixOfDoubles_default_instance_;
class MatrixOfInts;
class MatrixOfIntsDefaultTypeInternal;
extern MatrixOfIntsDefaultTypeInternal _MatrixOfInts_default_instance_;
class MatrixOfStrings;
class MatrixOfStringsDefaultTypeInternal;
extern MatrixOfStringsDefaultTypeInternal _MatrixOfStrings_default_instance_;
}  // namespace mascot
namespace mascot {

// ===================================================================

class ListOfBools : public ::google::protobuf::Message /* @@protoc_insertion_point(class_definition:mascot.ListOfBools) */ {
 public:
  ListOfBools();
  virtual ~ListOfBools();

  ListOfBools(const ListOfBools& from);

  inline ListOfBools& operator=(const ListOfBools& from) {
    CopyFrom(from);
    return *this;
  }
  #if LANG_CXX11
  ListOfBools(ListOfBools&& from) noexcept
    : ListOfBools() {
    *this = ::std::move(from);
  }

  inline ListOfBools& operator=(ListOfBools&& from) noexcept {
    if (GetArenaNoVirtual() == from.GetArenaNoVirtual()) {
      if (this != &from) InternalSwap(&from);
    } else {
      CopyFrom(from);
    }
    return *this;
  }
  #endif
  static const ::google::protobuf::Descriptor* descriptor();
  static const ListOfBools& default_instance();

  static void InitAsDefaultInstance();  // FOR INTERNAL USE ONLY
  static inline const ListOfBools* internal_default_instance() {
    return reinterpret_cast<const ListOfBools*>(
               &_ListOfBools_default_instance_);
  }
  static PROTOBUF_CONSTEXPR int const kIndexInFileMessages =
    0;

  void Swap(ListOfBools* other);
  friend void swap(ListOfBools& a, ListOfBools& b) {
    a.Swap(&b);
  }

  // implements Message ----------------------------------------------

  inline ListOfBools* New() const PROTOBUF_FINAL { return New(NULL); }

  ListOfBools* New(::google::protobuf::Arena* arena) const PROTOBUF_FINAL;
  void CopyFrom(const ::google::protobuf::Message& from) PROTOBUF_FINAL;
  void MergeFrom(const ::google::protobuf::Message& from) PROTOBUF_FINAL;
  void CopyFrom(const ListOfBools& from);
  void MergeFrom(const ListOfBools& from);
  void Clear() PROTOBUF_FINAL;
  bool IsInitialized() const PROTOBUF_FINAL;

  size_t ByteSizeLong() const PROTOBUF_FINAL;
  bool MergePartialFromCodedStream(
      ::google::protobuf::io::CodedInputStream* input) PROTOBUF_FINAL;
  void SerializeWithCachedSizes(
      ::google::protobuf::io::CodedOutputStream* output) const PROTOBUF_FINAL;
  ::google::protobuf::uint8* InternalSerializeWithCachedSizesToArray(
      bool deterministic, ::google::protobuf::uint8* target) const PROTOBUF_FINAL;
  int GetCachedSize() const PROTOBUF_FINAL { return _cached_size_; }
  private:
  void SharedCtor();
  void SharedDtor();
  void SetCachedSize(int size) const PROTOBUF_FINAL;
  void InternalSwap(ListOfBools* other);
  private:
  inline ::google::protobuf::Arena* GetArenaNoVirtual() const {
    return NULL;
  }
  inline void* MaybeArenaPtr() const {
    return NULL;
  }
  public:

  ::google::protobuf::Metadata GetMetadata() const PROTOBUF_FINAL;

  // nested types ----------------------------------------------------

  // accessors -------------------------------------------------------

  // repeated bool value = 1;
  int value_size() const;
  void clear_value();
  static const int kValueFieldNumber = 1;
  bool value(int index) const;
  void set_value(int index, bool value);
  void add_value(bool value);
  const ::google::protobuf::RepeatedField< bool >&
      value() const;
  ::google::protobuf::RepeatedField< bool >*
      mutable_value();

  // @@protoc_insertion_point(class_scope:mascot.ListOfBools)
 private:

  ::google::protobuf::internal::InternalMetadataWithArena _internal_metadata_;
  ::google::protobuf::RepeatedField< bool > value_;
  mutable int _value_cached_byte_size_;
  mutable int _cached_size_;
  friend struct ::protobuf_complex_5fdata_5ftypes_2eproto::TableStruct;
  friend void ::protobuf_complex_5fdata_5ftypes_2eproto::InitDefaultsListOfBoolsImpl();
};
// -------------------------------------------------------------------

class ListOfInts : public ::google::protobuf::Message /* @@protoc_insertion_point(class_definition:mascot.ListOfInts) */ {
 public:
  ListOfInts();
  virtual ~ListOfInts();

  ListOfInts(const ListOfInts& from);

  inline ListOfInts& operator=(const ListOfInts& from) {
    CopyFrom(from);
    return *this;
  }
  #if LANG_CXX11
  ListOfInts(ListOfInts&& from) noexcept
    : ListOfInts() {
    *this = ::std::move(from);
  }

  inline ListOfInts& operator=(ListOfInts&& from) noexcept {
    if (GetArenaNoVirtual() == from.GetArenaNoVirtual()) {
      if (this != &from) InternalSwap(&from);
    } else {
      CopyFrom(from);
    }
    return *this;
  }
  #endif
  static const ::google::protobuf::Descriptor* descriptor();
  static const ListOfInts& default_instance();

  static void InitAsDefaultInstance();  // FOR INTERNAL USE ONLY
  static inline const ListOfInts* internal_default_instance() {
    return reinterpret_cast<const ListOfInts*>(
               &_ListOfInts_default_instance_);
  }
  static PROTOBUF_CONSTEXPR int const kIndexInFileMessages =
    1;

  void Swap(ListOfInts* other);
  friend void swap(ListOfInts& a, ListOfInts& b) {
    a.Swap(&b);
  }

  // implements Message ----------------------------------------------

  inline ListOfInts* New() const PROTOBUF_FINAL { return New(NULL); }

  ListOfInts* New(::google::protobuf::Arena* arena) const PROTOBUF_FINAL;
  void CopyFrom(const ::google::protobuf::Message& from) PROTOBUF_FINAL;
  void MergeFrom(const ::google::protobuf::Message& from) PROTOBUF_FINAL;
  void CopyFrom(const ListOfInts& from);
  void MergeFrom(const ListOfInts& from);
  void Clear() PROTOBUF_FINAL;
  bool IsInitialized() const PROTOBUF_FINAL;

  size_t ByteSizeLong() const PROTOBUF_FINAL;
  bool MergePartialFromCodedStream(
      ::google::protobuf::io::CodedInputStream* input) PROTOBUF_FINAL;
  void SerializeWithCachedSizes(
      ::google::protobuf::io::CodedOutputStream* output) const PROTOBUF_FINAL;
  ::google::protobuf::uint8* InternalSerializeWithCachedSizesToArray(
      bool deterministic, ::google::protobuf::uint8* target) const PROTOBUF_FINAL;
  int GetCachedSize() const PROTOBUF_FINAL { return _cached_size_; }
  private:
  void SharedCtor();
  void SharedDtor();
  void SetCachedSize(int size) const PROTOBUF_FINAL;
  void InternalSwap(ListOfInts* other);
  private:
  inline ::google::protobuf::Arena* GetArenaNoVirtual() const {
    return NULL;
  }
  inline void* MaybeArenaPtr() const {
    return NULL;
  }
  public:

  ::google::protobuf::Metadata GetMetadata() const PROTOBUF_FINAL;

  // nested types ----------------------------------------------------

  // accessors -------------------------------------------------------

  // repeated int64 value = 1;
  int value_size() const;
  void clear_value();
  static const int kValueFieldNumber = 1;
  ::google::protobuf::int64 value(int index) const;
  void set_value(int index, ::google::protobuf::int64 value);
  void add_value(::google::protobuf::int64 value);
  const ::google::protobuf::RepeatedField< ::google::protobuf::int64 >&
      value() const;
  ::google::protobuf::RepeatedField< ::google::protobuf::int64 >*
      mutable_value();

  // @@protoc_insertion_point(class_scope:mascot.ListOfInts)
 private:

  ::google::protobuf::internal::InternalMetadataWithArena _internal_metadata_;
  ::google::protobuf::RepeatedField< ::google::protobuf::int64 > value_;
  mutable int _value_cached_byte_size_;
  mutable int _cached_size_;
  friend struct ::protobuf_complex_5fdata_5ftypes_2eproto::TableStruct;
  friend void ::protobuf_complex_5fdata_5ftypes_2eproto::InitDefaultsListOfIntsImpl();
};
// -------------------------------------------------------------------

class ListOfDoubles : public ::google::protobuf::Message /* @@protoc_insertion_point(class_definition:mascot.ListOfDoubles) */ {
 public:
  ListOfDoubles();
  virtual ~ListOfDoubles();

  ListOfDoubles(const ListOfDoubles& from);

  inline ListOfDoubles& operator=(const ListOfDoubles& from) {
    CopyFrom(from);
    return *this;
  }
  #if LANG_CXX11
  ListOfDoubles(ListOfDoubles&& from) noexcept
    : ListOfDoubles() {
    *this = ::std::move(from);
  }

  inline ListOfDoubles& operator=(ListOfDoubles&& from) noexcept {
    if (GetArenaNoVirtual() == from.GetArenaNoVirtual()) {
      if (this != &from) InternalSwap(&from);
    } else {
      CopyFrom(from);
    }
    return *this;
  }
  #endif
  static const ::google::protobuf::Descriptor* descriptor();
  static const ListOfDoubles& default_instance();

  static void InitAsDefaultInstance();  // FOR INTERNAL USE ONLY
  static inline const ListOfDoubles* internal_default_instance() {
    return reinterpret_cast<const ListOfDoubles*>(
               &_ListOfDoubles_default_instance_);
  }
  static PROTOBUF_CONSTEXPR int const kIndexInFileMessages =
    2;

  void Swap(ListOfDoubles* other);
  friend void swap(ListOfDoubles& a, ListOfDoubles& b) {
    a.Swap(&b);
  }

  // implements Message ----------------------------------------------

  inline ListOfDoubles* New() const PROTOBUF_FINAL { return New(NULL); }

  ListOfDoubles* New(::google::protobuf::Arena* arena) const PROTOBUF_FINAL;
  void CopyFrom(const ::google::protobuf::Message& from) PROTOBUF_FINAL;
  void MergeFrom(const ::google::protobuf::Message& from) PROTOBUF_FINAL;
  void CopyFrom(const ListOfDoubles& from);
  void MergeFrom(const ListOfDoubles& from);
  void Clear() PROTOBUF_FINAL;
  bool IsInitialized() const PROTOBUF_FINAL;

  size_t ByteSizeLong() const PROTOBUF_FINAL;
  bool MergePartialFromCodedStream(
      ::google::protobuf::io::CodedInputStream* input) PROTOBUF_FINAL;
  void SerializeWithCachedSizes(
      ::google::protobuf::io::CodedOutputStream* output) const PROTOBUF_FINAL;
  ::google::protobuf::uint8* InternalSerializeWithCachedSizesToArray(
      bool deterministic, ::google::protobuf::uint8* target) const PROTOBUF_FINAL;
  int GetCachedSize() const PROTOBUF_FINAL { return _cached_size_; }
  private:
  void SharedCtor();
  void SharedDtor();
  void SetCachedSize(int size) const PROTOBUF_FINAL;
  void InternalSwap(ListOfDoubles* other);
  private:
  inline ::google::protobuf::Arena* GetArenaNoVirtual() const {
    return NULL;
  }
  inline void* MaybeArenaPtr() const {
    return NULL;
  }
  public:

  ::google::protobuf::Metadata GetMetadata() const PROTOBUF_FINAL;

  // nested types ----------------------------------------------------

  // accessors -------------------------------------------------------

  // repeated double value = 1;
  int value_size() const;
  void clear_value();
  static const int kValueFieldNumber = 1;
  double value(int index) const;
  void set_value(int index, double value);
  void add_value(double value);
  const ::google::protobuf::RepeatedField< double >&
      value() const;
  ::google::protobuf::RepeatedField< double >*
      mutable_value();

  // @@protoc_insertion_point(class_scope:mascot.ListOfDoubles)
 private:

  ::google::protobuf::internal::InternalMetadataWithArena _internal_metadata_;
  ::google::protobuf::RepeatedField< double > value_;
  mutable int _value_cached_byte_size_;
  mutable int _cached_size_;
  friend struct ::protobuf_complex_5fdata_5ftypes_2eproto::TableStruct;
  friend void ::protobuf_complex_5fdata_5ftypes_2eproto::InitDefaultsListOfDoublesImpl();
};
// -------------------------------------------------------------------

class ListOfStrings : public ::google::protobuf::Message /* @@protoc_insertion_point(class_definition:mascot.ListOfStrings) */ {
 public:
  ListOfStrings();
  virtual ~ListOfStrings();

  ListOfStrings(const ListOfStrings& from);

  inline ListOfStrings& operator=(const ListOfStrings& from) {
    CopyFrom(from);
    return *this;
  }
  #if LANG_CXX11
  ListOfStrings(ListOfStrings&& from) noexcept
    : ListOfStrings() {
    *this = ::std::move(from);
  }

  inline ListOfStrings& operator=(ListOfStrings&& from) noexcept {
    if (GetArenaNoVirtual() == from.GetArenaNoVirtual()) {
      if (this != &from) InternalSwap(&from);
    } else {
      CopyFrom(from);
    }
    return *this;
  }
  #endif
  static const ::google::protobuf::Descriptor* descriptor();
  static const ListOfStrings& default_instance();

  static void InitAsDefaultInstance();  // FOR INTERNAL USE ONLY
  static inline const ListOfStrings* internal_default_instance() {
    return reinterpret_cast<const ListOfStrings*>(
               &_ListOfStrings_default_instance_);
  }
  static PROTOBUF_CONSTEXPR int const kIndexInFileMessages =
    3;

  void Swap(ListOfStrings* other);
  friend void swap(ListOfStrings& a, ListOfStrings& b) {
    a.Swap(&b);
  }

  // implements Message ----------------------------------------------

  inline ListOfStrings* New() const PROTOBUF_FINAL { return New(NULL); }

  ListOfStrings* New(::google::protobuf::Arena* arena) const PROTOBUF_FINAL;
  void CopyFrom(const ::google::protobuf::Message& from) PROTOBUF_FINAL;
  void MergeFrom(const ::google::protobuf::Message& from) PROTOBUF_FINAL;
  void CopyFrom(const ListOfStrings& from);
  void MergeFrom(const ListOfStrings& from);
  void Clear() PROTOBUF_FINAL;
  bool IsInitialized() const PROTOBUF_FINAL;

  size_t ByteSizeLong() const PROTOBUF_FINAL;
  bool MergePartialFromCodedStream(
      ::google::protobuf::io::CodedInputStream* input) PROTOBUF_FINAL;
  void SerializeWithCachedSizes(
      ::google::protobuf::io::CodedOutputStream* output) const PROTOBUF_FINAL;
  ::google::protobuf::uint8* InternalSerializeWithCachedSizesToArray(
      bool deterministic, ::google::protobuf::uint8* target) const PROTOBUF_FINAL;
  int GetCachedSize() const PROTOBUF_FINAL { return _cached_size_; }
  private:
  void SharedCtor();
  void SharedDtor();
  void SetCachedSize(int size) const PROTOBUF_FINAL;
  void InternalSwap(ListOfStrings* other);
  private:
  inline ::google::protobuf::Arena* GetArenaNoVirtual() const {
    return NULL;
  }
  inline void* MaybeArenaPtr() const {
    return NULL;
  }
  public:

  ::google::protobuf::Metadata GetMetadata() const PROTOBUF_FINAL;

  // nested types ----------------------------------------------------

  // accessors -------------------------------------------------------

  // repeated string value = 1;
  int value_size() const;
  void clear_value();
  static const int kValueFieldNumber = 1;
  const ::std::string& value(int index) const;
  ::std::string* mutable_value(int index);
  void set_value(int index, const ::std::string& value);
  #if LANG_CXX11
  void set_value(int index, ::std::string&& value);
  #endif
  void set_value(int index, const char* value);
  void set_value(int index, const char* value, size_t size);
  ::std::string* add_value();
  void add_value(const ::std::string& value);
  #if LANG_CXX11
  void add_value(::std::string&& value);
  #endif
  void add_value(const char* value);
  void add_value(const char* value, size_t size);
  const ::google::protobuf::RepeatedPtrField< ::std::string>& value() const;
  ::google::protobuf::RepeatedPtrField< ::std::string>* mutable_value();

  // @@protoc_insertion_point(class_scope:mascot.ListOfStrings)
 private:

  ::google::protobuf::internal::InternalMetadataWithArena _internal_metadata_;
  ::google::protobuf::RepeatedPtrField< ::std::string> value_;
  mutable int _cached_size_;
  friend struct ::protobuf_complex_5fdata_5ftypes_2eproto::TableStruct;
  friend void ::protobuf_complex_5fdata_5ftypes_2eproto::InitDefaultsListOfStringsImpl();
};
// -------------------------------------------------------------------

class MatrixOfBools : public ::google::protobuf::Message /* @@protoc_insertion_point(class_definition:mascot.MatrixOfBools) */ {
 public:
  MatrixOfBools();
  virtual ~MatrixOfBools();

  MatrixOfBools(const MatrixOfBools& from);

  inline MatrixOfBools& operator=(const MatrixOfBools& from) {
    CopyFrom(from);
    return *this;
  }
  #if LANG_CXX11
  MatrixOfBools(MatrixOfBools&& from) noexcept
    : MatrixOfBools() {
    *this = ::std::move(from);
  }

  inline MatrixOfBools& operator=(MatrixOfBools&& from) noexcept {
    if (GetArenaNoVirtual() == from.GetArenaNoVirtual()) {
      if (this != &from) InternalSwap(&from);
    } else {
      CopyFrom(from);
    }
    return *this;
  }
  #endif
  static const ::google::protobuf::Descriptor* descriptor();
  static const MatrixOfBools& default_instance();

  static void InitAsDefaultInstance();  // FOR INTERNAL USE ONLY
  static inline const MatrixOfBools* internal_default_instance() {
    return reinterpret_cast<const MatrixOfBools*>(
               &_MatrixOfBools_default_instance_);
  }
  static PROTOBUF_CONSTEXPR int const kIndexInFileMessages =
    4;

  void Swap(MatrixOfBools* other);
  friend void swap(MatrixOfBools& a, MatrixOfBools& b) {
    a.Swap(&b);
  }

  // implements Message ----------------------------------------------

  inline MatrixOfBools* New() const PROTOBUF_FINAL { return New(NULL); }

  MatrixOfBools* New(::google::protobuf::Arena* arena) const PROTOBUF_FINAL;
  void CopyFrom(const ::google::protobuf::Message& from) PROTOBUF_FINAL;
  void MergeFrom(const ::google::protobuf::Message& from) PROTOBUF_FINAL;
  void CopyFrom(const MatrixOfBools& from);
  void MergeFrom(const MatrixOfBools& from);
  void Clear() PROTOBUF_FINAL;
  bool IsInitialized() const PROTOBUF_FINAL;

  size_t ByteSizeLong() const PROTOBUF_FINAL;
  bool MergePartialFromCodedStream(
      ::google::protobuf::io::CodedInputStream* input) PROTOBUF_FINAL;
  void SerializeWithCachedSizes(
      ::google::protobuf::io::CodedOutputStream* output) const PROTOBUF_FINAL;
  ::google::protobuf::uint8* InternalSerializeWithCachedSizesToArray(
      bool deterministic, ::google::protobuf::uint8* target) const PROTOBUF_FINAL;
  int GetCachedSize() const PROTOBUF_FINAL { return _cached_size_; }
  private:
  void SharedCtor();
  void SharedDtor();
  void SetCachedSize(int size) const PROTOBUF_FINAL;
  void InternalSwap(MatrixOfBools* other);
  private:
  inline ::google::protobuf::Arena* GetArenaNoVirtual() const {
    return NULL;
  }
  inline void* MaybeArenaPtr() const {
    return NULL;
  }
  public:

  ::google::protobuf::Metadata GetMetadata() const PROTOBUF_FINAL;

  // nested types ----------------------------------------------------

  // accessors -------------------------------------------------------

  // repeated .mascot.ListOfBools value = 1;
  int value_size() const;
  void clear_value();
  static const int kValueFieldNumber = 1;
  const ::mascot::ListOfBools& value(int index) const;
  ::mascot::ListOfBools* mutable_value(int index);
  ::mascot::ListOfBools* add_value();
  ::google::protobuf::RepeatedPtrField< ::mascot::ListOfBools >*
      mutable_value();
  const ::google::protobuf::RepeatedPtrField< ::mascot::ListOfBools >&
      value() const;

  // @@protoc_insertion_point(class_scope:mascot.MatrixOfBools)
 private:

  ::google::protobuf::internal::InternalMetadataWithArena _internal_metadata_;
  ::google::protobuf::RepeatedPtrField< ::mascot::ListOfBools > value_;
  mutable int _cached_size_;
  friend struct ::protobuf_complex_5fdata_5ftypes_2eproto::TableStruct;
  friend void ::protobuf_complex_5fdata_5ftypes_2eproto::InitDefaultsMatrixOfBoolsImpl();
};
// -------------------------------------------------------------------

class MatrixOfInts : public ::google::protobuf::Message /* @@protoc_insertion_point(class_definition:mascot.MatrixOfInts) */ {
 public:
  MatrixOfInts();
  virtual ~MatrixOfInts();

  MatrixOfInts(const MatrixOfInts& from);

  inline MatrixOfInts& operator=(const MatrixOfInts& from) {
    CopyFrom(from);
    return *this;
  }
  #if LANG_CXX11
  MatrixOfInts(MatrixOfInts&& from) noexcept
    : MatrixOfInts() {
    *this = ::std::move(from);
  }

  inline MatrixOfInts& operator=(MatrixOfInts&& from) noexcept {
    if (GetArenaNoVirtual() == from.GetArenaNoVirtual()) {
      if (this != &from) InternalSwap(&from);
    } else {
      CopyFrom(from);
    }
    return *this;
  }
  #endif
  static const ::google::protobuf::Descriptor* descriptor();
  static const MatrixOfInts& default_instance();

  static void InitAsDefaultInstance();  // FOR INTERNAL USE ONLY
  static inline const MatrixOfInts* internal_default_instance() {
    return reinterpret_cast<const MatrixOfInts*>(
               &_MatrixOfInts_default_instance_);
  }
  static PROTOBUF_CONSTEXPR int const kIndexInFileMessages =
    5;

  void Swap(MatrixOfInts* other);
  friend void swap(MatrixOfInts& a, MatrixOfInts& b) {
    a.Swap(&b);
  }

  // implements Message ----------------------------------------------

  inline MatrixOfInts* New() const PROTOBUF_FINAL { return New(NULL); }

  MatrixOfInts* New(::google::protobuf::Arena* arena) const PROTOBUF_FINAL;
  void CopyFrom(const ::google::protobuf::Message& from) PROTOBUF_FINAL;
  void MergeFrom(const ::google::protobuf::Message& from) PROTOBUF_FINAL;
  void CopyFrom(const MatrixOfInts& from);
  void MergeFrom(const MatrixOfInts& from);
  void Clear() PROTOBUF_FINAL;
  bool IsInitialized() const PROTOBUF_FINAL;

  size_t ByteSizeLong() const PROTOBUF_FINAL;
  bool MergePartialFromCodedStream(
      ::google::protobuf::io::CodedInputStream* input) PROTOBUF_FINAL;
  void SerializeWithCachedSizes(
      ::google::protobuf::io::CodedOutputStream* output) const PROTOBUF_FINAL;
  ::google::protobuf::uint8* InternalSerializeWithCachedSizesToArray(
      bool deterministic, ::google::protobuf::uint8* target) const PROTOBUF_FINAL;
  int GetCachedSize() const PROTOBUF_FINAL { return _cached_size_; }
  private:
  void SharedCtor();
  void SharedDtor();
  void SetCachedSize(int size) const PROTOBUF_FINAL;
  void InternalSwap(MatrixOfInts* other);
  private:
  inline ::google::protobuf::Arena* GetArenaNoVirtual() const {
    return NULL;
  }
  inline void* MaybeArenaPtr() const {
    return NULL;
  }
  public:

  ::google::protobuf::Metadata GetMetadata() const PROTOBUF_FINAL;

  // nested types ----------------------------------------------------

  // accessors -------------------------------------------------------

  // repeated .mascot.ListOfInts value = 1;
  int value_size() const;
  void clear_value();
  static const int kValueFieldNumber = 1;
  const ::mascot::ListOfInts& value(int index) const;
  ::mascot::ListOfInts* mutable_value(int index);
  ::mascot::ListOfInts* add_value();
  ::google::protobuf::RepeatedPtrField< ::mascot::ListOfInts >*
      mutable_value();
  const ::google::protobuf::RepeatedPtrField< ::mascot::ListOfInts >&
      value() const;

  // @@protoc_insertion_point(class_scope:mascot.MatrixOfInts)
 private:

  ::google::protobuf::internal::InternalMetadataWithArena _internal_metadata_;
  ::google::protobuf::RepeatedPtrField< ::mascot::ListOfInts > value_;
  mutable int _cached_size_;
  friend struct ::protobuf_complex_5fdata_5ftypes_2eproto::TableStruct;
  friend void ::protobuf_complex_5fdata_5ftypes_2eproto::InitDefaultsMatrixOfIntsImpl();
};
// -------------------------------------------------------------------

class MatrixOfDoubles : public ::google::protobuf::Message /* @@protoc_insertion_point(class_definition:mascot.MatrixOfDoubles) */ {
 public:
  MatrixOfDoubles();
  virtual ~MatrixOfDoubles();

  MatrixOfDoubles(const MatrixOfDoubles& from);

  inline MatrixOfDoubles& operator=(const MatrixOfDoubles& from) {
    CopyFrom(from);
    return *this;
  }
  #if LANG_CXX11
  MatrixOfDoubles(MatrixOfDoubles&& from) noexcept
    : MatrixOfDoubles() {
    *this = ::std::move(from);
  }

  inline MatrixOfDoubles& operator=(MatrixOfDoubles&& from) noexcept {
    if (GetArenaNoVirtual() == from.GetArenaNoVirtual()) {
      if (this != &from) InternalSwap(&from);
    } else {
      CopyFrom(from);
    }
    return *this;
  }
  #endif
  static const ::google::protobuf::Descriptor* descriptor();
  static const MatrixOfDoubles& default_instance();

  static void InitAsDefaultInstance();  // FOR INTERNAL USE ONLY
  static inline const MatrixOfDoubles* internal_default_instance() {
    return reinterpret_cast<const MatrixOfDoubles*>(
               &_MatrixOfDoubles_default_instance_);
  }
  static PROTOBUF_CONSTEXPR int const kIndexInFileMessages =
    6;

  void Swap(MatrixOfDoubles* other);
  friend void swap(MatrixOfDoubles& a, MatrixOfDoubles& b) {
    a.Swap(&b);
  }

  // implements Message ----------------------------------------------

  inline MatrixOfDoubles* New() const PROTOBUF_FINAL { return New(NULL); }

  MatrixOfDoubles* New(::google::protobuf::Arena* arena) const PROTOBUF_FINAL;
  void CopyFrom(const ::google::protobuf::Message& from) PROTOBUF_FINAL;
  void MergeFrom(const ::google::protobuf::Message& from) PROTOBUF_FINAL;
  void CopyFrom(const MatrixOfDoubles& from);
  void MergeFrom(const MatrixOfDoubles& from);
  void Clear() PROTOBUF_FINAL;
  bool IsInitialized() const PROTOBUF_FINAL;

  size_t ByteSizeLong() const PROTOBUF_FINAL;
  bool MergePartialFromCodedStream(
      ::google::protobuf::io::CodedInputStream* input) PROTOBUF_FINAL;
  void SerializeWithCachedSizes(
      ::google::protobuf::io::CodedOutputStream* output) const PROTOBUF_FINAL;
  ::google::protobuf::uint8* InternalSerializeWithCachedSizesToArray(
      bool deterministic, ::google::protobuf::uint8* target) const PROTOBUF_FINAL;
  int GetCachedSize() const PROTOBUF_FINAL { return _cached_size_; }
  private:
  void SharedCtor();
  void SharedDtor();
  void SetCachedSize(int size) const PROTOBUF_FINAL;
  void InternalSwap(MatrixOfDoubles* other);
  private:
  inline ::google::protobuf::Arena* GetArenaNoVirtual() const {
    return NULL;
  }
  inline void* MaybeArenaPtr() const {
    return NULL;
  }
  public:

  ::google::protobuf::Metadata GetMetadata() const PROTOBUF_FINAL;

  // nested types ----------------------------------------------------

  // accessors -------------------------------------------------------

  // repeated .mascot.ListOfDoubles value = 1;
  int value_size() const;
  void clear_value();
  static const int kValueFieldNumber = 1;
  const ::mascot::ListOfDoubles& value(int index) const;
  ::mascot::ListOfDoubles* mutable_value(int index);
  ::mascot::ListOfDoubles* add_value();
  ::google::protobuf::RepeatedPtrField< ::mascot::ListOfDoubles >*
      mutable_value();
  const ::google::protobuf::RepeatedPtrField< ::mascot::ListOfDoubles >&
      value() const;

  // @@protoc_insertion_point(class_scope:mascot.MatrixOfDoubles)
 private:

  ::google::protobuf::internal::InternalMetadataWithArena _internal_metadata_;
  ::google::protobuf::RepeatedPtrField< ::mascot::ListOfDoubles > value_;
  mutable int _cached_size_;
  friend struct ::protobuf_complex_5fdata_5ftypes_2eproto::TableStruct;
  friend void ::protobuf_complex_5fdata_5ftypes_2eproto::InitDefaultsMatrixOfDoublesImpl();
};
// -------------------------------------------------------------------

class MatrixOfStrings : public ::google::protobuf::Message /* @@protoc_insertion_point(class_definition:mascot.MatrixOfStrings) */ {
 public:
  MatrixOfStrings();
  virtual ~MatrixOfStrings();

  MatrixOfStrings(const MatrixOfStrings& from);

  inline MatrixOfStrings& operator=(const MatrixOfStrings& from) {
    CopyFrom(from);
    return *this;
  }
  #if LANG_CXX11
  MatrixOfStrings(MatrixOfStrings&& from) noexcept
    : MatrixOfStrings() {
    *this = ::std::move(from);
  }

  inline MatrixOfStrings& operator=(MatrixOfStrings&& from) noexcept {
    if (GetArenaNoVirtual() == from.GetArenaNoVirtual()) {
      if (this != &from) InternalSwap(&from);
    } else {
      CopyFrom(from);
    }
    return *this;
  }
  #endif
  static const ::google::protobuf::Descriptor* descriptor();
  static const MatrixOfStrings& default_instance();

  static void InitAsDefaultInstance();  // FOR INTERNAL USE ONLY
  static inline const MatrixOfStrings* internal_default_instance() {
    return reinterpret_cast<const MatrixOfStrings*>(
               &_MatrixOfStrings_default_instance_);
  }
  static PROTOBUF_CONSTEXPR int const kIndexInFileMessages =
    7;

  void Swap(MatrixOfStrings* other);
  friend void swap(MatrixOfStrings& a, MatrixOfStrings& b) {
    a.Swap(&b);
  }

  // implements Message ----------------------------------------------

  inline MatrixOfStrings* New() const PROTOBUF_FINAL { return New(NULL); }

  MatrixOfStrings* New(::google::protobuf::Arena* arena) const PROTOBUF_FINAL;
  void CopyFrom(const ::google::protobuf::Message& from) PROTOBUF_FINAL;
  void MergeFrom(const ::google::protobuf::Message& from) PROTOBUF_FINAL;
  void CopyFrom(const MatrixOfStrings& from);
  void MergeFrom(const MatrixOfStrings& from);
  void Clear() PROTOBUF_FINAL;
  bool IsInitialized() const PROTOBUF_FINAL;

  size_t ByteSizeLong() const PROTOBUF_FINAL;
  bool MergePartialFromCodedStream(
      ::google::protobuf::io::CodedInputStream* input) PROTOBUF_FINAL;
  void SerializeWithCachedSizes(
      ::google::protobuf::io::CodedOutputStream* output) const PROTOBUF_FINAL;
  ::google::protobuf::uint8* InternalSerializeWithCachedSizesToArray(
      bool deterministic, ::google::protobuf::uint8* target) const PROTOBUF_FINAL;
  int GetCachedSize() const PROTOBUF_FINAL { return _cached_size_; }
  private:
  void SharedCtor();
  void SharedDtor();
  void SetCachedSize(int size) const PROTOBUF_FINAL;
  void InternalSwap(MatrixOfStrings* other);
  private:
  inline ::google::protobuf::Arena* GetArenaNoVirtual() const {
    return NULL;
  }
  inline void* MaybeArenaPtr() const {
    return NULL;
  }
  public:

  ::google::protobuf::Metadata GetMetadata() const PROTOBUF_FINAL;

  // nested types ----------------------------------------------------

  // accessors -------------------------------------------------------

  // repeated .mascot.ListOfStrings value = 1;
  int value_size() const;
  void clear_value();
  static const int kValueFieldNumber = 1;
  const ::mascot::ListOfStrings& value(int index) const;
  ::mascot::ListOfStrings* mutable_value(int index);
  ::mascot::ListOfStrings* add_value();
  ::google::protobuf::RepeatedPtrField< ::mascot::ListOfStrings >*
      mutable_value();
  const ::google::protobuf::RepeatedPtrField< ::mascot::ListOfStrings >&
      value() const;

  // @@protoc_insertion_point(class_scope:mascot.MatrixOfStrings)
 private:

  ::google::protobuf::internal::InternalMetadataWithArena _internal_metadata_;
  ::google::protobuf::RepeatedPtrField< ::mascot::ListOfStrings > value_;
  mutable int _cached_size_;
  friend struct ::protobuf_complex_5fdata_5ftypes_2eproto::TableStruct;
  friend void ::protobuf_complex_5fdata_5ftypes_2eproto::InitDefaultsMatrixOfStringsImpl();
};
// ===================================================================


// ===================================================================

#ifdef __GNUC__
  #pragma GCC diagnostic push
  #pragma GCC diagnostic ignored "-Wstrict-aliasing"
#endif  // __GNUC__
// ListOfBools

// repeated bool value = 1;
inline int ListOfBools::value_size() const {
  return value_.size();
}
inline void ListOfBools::clear_value() {
  value_.Clear();
}
inline bool ListOfBools::value(int index) const {
  // @@protoc_insertion_point(field_get:mascot.ListOfBools.value)
  return value_.Get(index);
}
inline void ListOfBools::set_value(int index, bool value) {
  value_.Set(index, value);
  // @@protoc_insertion_point(field_set:mascot.ListOfBools.value)
}
inline void ListOfBools::add_value(bool value) {
  value_.Add(value);
  // @@protoc_insertion_point(field_add:mascot.ListOfBools.value)
}
inline const ::google::protobuf::RepeatedField< bool >&
ListOfBools::value() const {
  // @@protoc_insertion_point(field_list:mascot.ListOfBools.value)
  return value_;
}
inline ::google::protobuf::RepeatedField< bool >*
ListOfBools::mutable_value() {
  // @@protoc_insertion_point(field_mutable_list:mascot.ListOfBools.value)
  return &value_;
}

// -------------------------------------------------------------------

// ListOfInts

// repeated int64 value = 1;
inline int ListOfInts::value_size() const {
  return value_.size();
}
inline void ListOfInts::clear_value() {
  value_.Clear();
}
inline ::google::protobuf::int64 ListOfInts::value(int index) const {
  // @@protoc_insertion_point(field_get:mascot.ListOfInts.value)
  return value_.Get(index);
}
inline void ListOfInts::set_value(int index, ::google::protobuf::int64 value) {
  value_.Set(index, value);
  // @@protoc_insertion_point(field_set:mascot.ListOfInts.value)
}
inline void ListOfInts::add_value(::google::protobuf::int64 value) {
  value_.Add(value);
  // @@protoc_insertion_point(field_add:mascot.ListOfInts.value)
}
inline const ::google::protobuf::RepeatedField< ::google::protobuf::int64 >&
ListOfInts::value() const {
  // @@protoc_insertion_point(field_list:mascot.ListOfInts.value)
  return value_;
}
inline ::google::protobuf::RepeatedField< ::google::protobuf::int64 >*
ListOfInts::mutable_value() {
  // @@protoc_insertion_point(field_mutable_list:mascot.ListOfInts.value)
  return &value_;
}

// -------------------------------------------------------------------

// ListOfDoubles

// repeated double value = 1;
inline int ListOfDoubles::value_size() const {
  return value_.size();
}
inline void ListOfDoubles::clear_value() {
  value_.Clear();
}
inline double ListOfDoubles::value(int index) const {
  // @@protoc_insertion_point(field_get:mascot.ListOfDoubles.value)
  return value_.Get(index);
}
inline void ListOfDoubles::set_value(int index, double value) {
  value_.Set(index, value);
  // @@protoc_insertion_point(field_set:mascot.ListOfDoubles.value)
}
inline void ListOfDoubles::add_value(double value) {
  value_.Add(value);
  // @@protoc_insertion_point(field_add:mascot.ListOfDoubles.value)
}
inline const ::google::protobuf::RepeatedField< double >&
ListOfDoubles::value() const {
  // @@protoc_insertion_point(field_list:mascot.ListOfDoubles.value)
  return value_;
}
inline ::google::protobuf::RepeatedField< double >*
ListOfDoubles::mutable_value() {
  // @@protoc_insertion_point(field_mutable_list:mascot.ListOfDoubles.value)
  return &value_;
}

// -------------------------------------------------------------------

// ListOfStrings

// repeated string value = 1;
inline int ListOfStrings::value_size() const {
  return value_.size();
}
inline void ListOfStrings::clear_value() {
  value_.Clear();
}
inline const ::std::string& ListOfStrings::value(int index) const {
  // @@protoc_insertion_point(field_get:mascot.ListOfStrings.value)
  return value_.Get(index);
}
inline ::std::string* ListOfStrings::mutable_value(int index) {
  // @@protoc_insertion_point(field_mutable:mascot.ListOfStrings.value)
  return value_.Mutable(index);
}
inline void ListOfStrings::set_value(int index, const ::std::string& value) {
  // @@protoc_insertion_point(field_set:mascot.ListOfStrings.value)
  value_.Mutable(index)->assign(value);
}
#if LANG_CXX11
inline void ListOfStrings::set_value(int index, ::std::string&& value) {
  // @@protoc_insertion_point(field_set:mascot.ListOfStrings.value)
  value_.Mutable(index)->assign(std::move(value));
}
#endif
inline void ListOfStrings::set_value(int index, const char* value) {
  GOOGLE_DCHECK(value != NULL);
  value_.Mutable(index)->assign(value);
  // @@protoc_insertion_point(field_set_char:mascot.ListOfStrings.value)
}
inline void ListOfStrings::set_value(int index, const char* value, size_t size) {
  value_.Mutable(index)->assign(
    reinterpret_cast<const char*>(value), size);
  // @@protoc_insertion_point(field_set_pointer:mascot.ListOfStrings.value)
}
inline ::std::string* ListOfStrings::add_value() {
  // @@protoc_insertion_point(field_add_mutable:mascot.ListOfStrings.value)
  return value_.Add();
}
inline void ListOfStrings::add_value(const ::std::string& value) {
  value_.Add()->assign(value);
  // @@protoc_insertion_point(field_add:mascot.ListOfStrings.value)
}
#if LANG_CXX11
inline void ListOfStrings::add_value(::std::string&& value) {
  value_.Add(std::move(value));
  // @@protoc_insertion_point(field_add:mascot.ListOfStrings.value)
}
#endif
inline void ListOfStrings::add_value(const char* value) {
  GOOGLE_DCHECK(value != NULL);
  value_.Add()->assign(value);
  // @@protoc_insertion_point(field_add_char:mascot.ListOfStrings.value)
}
inline void ListOfStrings::add_value(const char* value, size_t size) {
  value_.Add()->assign(reinterpret_cast<const char*>(value), size);
  // @@protoc_insertion_point(field_add_pointer:mascot.ListOfStrings.value)
}
inline const ::google::protobuf::RepeatedPtrField< ::std::string>&
ListOfStrings::value() const {
  // @@protoc_insertion_point(field_list:mascot.ListOfStrings.value)
  return value_;
}
inline ::google::protobuf::RepeatedPtrField< ::std::string>*
ListOfStrings::mutable_value() {
  // @@protoc_insertion_point(field_mutable_list:mascot.ListOfStrings.value)
  return &value_;
}

// -------------------------------------------------------------------

// MatrixOfBools

// repeated .mascot.ListOfBools value = 1;
inline int MatrixOfBools::value_size() const {
  return value_.size();
}
inline void MatrixOfBools::clear_value() {
  value_.Clear();
}
inline const ::mascot::ListOfBools& MatrixOfBools::value(int index) const {
  // @@protoc_insertion_point(field_get:mascot.MatrixOfBools.value)
  return value_.Get(index);
}
inline ::mascot::ListOfBools* MatrixOfBools::mutable_value(int index) {
  // @@protoc_insertion_point(field_mutable:mascot.MatrixOfBools.value)
  return value_.Mutable(index);
}
inline ::mascot::ListOfBools* MatrixOfBools::add_value() {
  // @@protoc_insertion_point(field_add:mascot.MatrixOfBools.value)
  return value_.Add();
}
inline ::google::protobuf::RepeatedPtrField< ::mascot::ListOfBools >*
MatrixOfBools::mutable_value() {
  // @@protoc_insertion_point(field_mutable_list:mascot.MatrixOfBools.value)
  return &value_;
}
inline const ::google::protobuf::RepeatedPtrField< ::mascot::ListOfBools >&
MatrixOfBools::value() const {
  // @@protoc_insertion_point(field_list:mascot.MatrixOfBools.value)
  return value_;
}

// -------------------------------------------------------------------

// MatrixOfInts

// repeated .mascot.ListOfInts value = 1;
inline int MatrixOfInts::value_size() const {
  return value_.size();
}
inline void MatrixOfInts::clear_value() {
  value_.Clear();
}
inline const ::mascot::ListOfInts& MatrixOfInts::value(int index) const {
  // @@protoc_insertion_point(field_get:mascot.MatrixOfInts.value)
  return value_.Get(index);
}
inline ::mascot::ListOfInts* MatrixOfInts::mutable_value(int index) {
  // @@protoc_insertion_point(field_mutable:mascot.MatrixOfInts.value)
  return value_.Mutable(index);
}
inline ::mascot::ListOfInts* MatrixOfInts::add_value() {
  // @@protoc_insertion_point(field_add:mascot.MatrixOfInts.value)
  return value_.Add();
}
inline ::google::protobuf::RepeatedPtrField< ::mascot::ListOfInts >*
MatrixOfInts::mutable_value() {
  // @@protoc_insertion_point(field_mutable_list:mascot.MatrixOfInts.value)
  return &value_;
}
inline const ::google::protobuf::RepeatedPtrField< ::mascot::ListOfInts >&
MatrixOfInts::value() const {
  // @@protoc_insertion_point(field_list:mascot.MatrixOfInts.value)
  return value_;
}

// -------------------------------------------------------------------

// MatrixOfDoubles

// repeated .mascot.ListOfDoubles value = 1;
inline int MatrixOfDoubles::value_size() const {
  return value_.size();
}
inline void MatrixOfDoubles::clear_value() {
  value_.Clear();
}
inline const ::mascot::ListOfDoubles& MatrixOfDoubles::value(int index) const {
  // @@protoc_insertion_point(field_get:mascot.MatrixOfDoubles.value)
  return value_.Get(index);
}
inline ::mascot::ListOfDoubles* MatrixOfDoubles::mutable_value(int index) {
  // @@protoc_insertion_point(field_mutable:mascot.MatrixOfDoubles.value)
  return value_.Mutable(index);
}
inline ::mascot::ListOfDoubles* MatrixOfDoubles::add_value() {
  // @@protoc_insertion_point(field_add:mascot.MatrixOfDoubles.value)
  return value_.Add();
}
inline ::google::protobuf::RepeatedPtrField< ::mascot::ListOfDoubles >*
MatrixOfDoubles::mutable_value() {
  // @@protoc_insertion_point(field_mutable_list:mascot.MatrixOfDoubles.value)
  return &value_;
}
inline const ::google::protobuf::RepeatedPtrField< ::mascot::ListOfDoubles >&
MatrixOfDoubles::value() const {
  // @@protoc_insertion_point(field_list:mascot.MatrixOfDoubles.value)
  return value_;
}

// -------------------------------------------------------------------

// MatrixOfStrings

// repeated .mascot.ListOfStrings value = 1;
inline int MatrixOfStrings::value_size() const {
  return value_.size();
}
inline void MatrixOfStrings::clear_value() {
  value_.Clear();
}
inline const ::mascot::ListOfStrings& MatrixOfStrings::value(int index) const {
  // @@protoc_insertion_point(field_get:mascot.MatrixOfStrings.value)
  return value_.Get(index);
}
inline ::mascot::ListOfStrings* MatrixOfStrings::mutable_value(int index) {
  // @@protoc_insertion_point(field_mutable:mascot.MatrixOfStrings.value)
  return value_.Mutable(index);
}
inline ::mascot::ListOfStrings* MatrixOfStrings::add_value() {
  // @@protoc_insertion_point(field_add:mascot.MatrixOfStrings.value)
  return value_.Add();
}
inline ::google::protobuf::RepeatedPtrField< ::mascot::ListOfStrings >*
MatrixOfStrings::mutable_value() {
  // @@protoc_insertion_point(field_mutable_list:mascot.MatrixOfStrings.value)
  return &value_;
}
inline const ::google::protobuf::RepeatedPtrField< ::mascot::ListOfStrings >&
MatrixOfStrings::value() const {
  // @@protoc_insertion_point(field_list:mascot.MatrixOfStrings.value)
  return value_;
}

#ifdef __GNUC__
  #pragma GCC diagnostic pop
#endif  // __GNUC__
// -------------------------------------------------------------------

// -------------------------------------------------------------------

// -------------------------------------------------------------------

// -------------------------------------------------------------------

// -------------------------------------------------------------------

// -------------------------------------------------------------------

// -------------------------------------------------------------------


// @@protoc_insertion_point(namespace_scope)

}  // namespace mascot

// @@protoc_insertion_point(global_scope)

#endif  // PROTOBUF_complex_5fdata_5ftypes_2eproto__INCLUDED
